﻿@model BaseFlyerTemplateViewModel
@{
    ViewBag.Title = "Class Catalog Report";
    Layout = null;
}


<form novalidate>

    <div class="view-container gothambold-font">

        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Class catalog
                </h1>
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <div class="fleyer-sections-container">

            <div class="input-control choosen" data-role="input-control">
                <label class="req-star">Please select a school</label>
                <select chosen
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        data-placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

            </div>

            <div class="input-control choosen" data-role="input-control" ng-show="Model.SchoolId != '' ">
                <label class="req-star">Please select a season</label>
                <select chosen
                        ng-model="Model.SeasonId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>

            </div>

            <label class="req-star">Flyer name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" ng-model="Model.Name" @Html.AngTooltipValidationFor(model => model.Name)>
            </div>

            <button class="success large place-right button" ng-click="FillData()">Fetch classes</button>
            <div class="clearfix"></div>
        </div>

        <div class="fleyer-sections-container flyer-theme " ng-class="Model.Body.CountPMAndAM < 6 ? 'flyer-lg': 'flyer-sm'">

            <div class="overflow-y-scroll">
                <div class="flyer-header-theme flyer-alignment">
                    <img class="partner-logo" src="~/Areas/Dashboard/Content/Image/bannerFlexFlyer.jpg" />
                    <img class="school-logo" ng-src="{{Model.Header.SchoolLogo}}" />
                </div>
                <div class="txt-center section-2 flyer-alignment">
                    <h3 class="txt-center text-bold text-uppercase header-text-top-title">{{Model.Body.SchoolName}} AND FLEX ACADEMIES</h3>
                    <h3 class="txt-center big-title text-bold">{{Model.Body.SeasonName}} AFTER SCHOOL ACTIVITES PROGRAM</h3>
                    <div class="txt-center">
                        <span class="text-bold header-text-bottom-title">{{Model.Body.SeasonName}} SESSION:</span>
                        <span class="header-text-bottom-content-sm"> {{Model.Body.SeasonDate}} </span>
                    </div>
                </div>

                @Html.Partial("_TemplateClassCatalogContentPreview", Model)

            </div>
        </div>

        <hr />

        <button class="success large place-right button" ng-click="SaveFlyer()">Save</button>
        <div class="clearfix"></div>
    </div>



</form>




